GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "69b4b8f2-6b57-4f89-ba22-1a6289eb06fe",
"Asset": {
"AssetId": "ad67b43c-0b85-45b1-8fff-07a5671e591e",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "cbf4db33-6428-42e3-9b94-e4586924b4e6",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"MeasurementValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "d01e458c-6be2-4417-b522-7a80c7d69a01",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"MeasurementValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "cb96bdb4-1a97-4309-942a-a47d124f11f4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "35a30677-802b-403c-95be-4ffa68467bed",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "257d0ac6-d215-4ffd-b556-38ab117164e4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-17T04:13:28.6340442-07:00",
"Location": "sample string 1",
"TaskId": "bec839ed-2da9-4b6a-a61d-68c368293be2",
"Values": [
{
"FormFieldValueId": "14d49d7b-7c57-4553-bf7a-9c81aef875f0",
"FormId": "1ddfe215-425c-46c7-851f-d09f326efcad",
"FormTypeField": {
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"FormType": {
"FormTypeId": "35a30677-802b-403c-95be-4ffa68467bed",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "257d0ac6-d215-4ffd-b556-38ab117164e4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "14d49d7b-7c57-4553-bf7a-9c81aef875f0",
"FormId": "1ddfe215-425c-46c7-851f-d09f326efcad",
"FormTypeField": {
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"FormType": {
"FormTypeId": "35a30677-802b-403c-95be-4ffa68467bed",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "257d0ac6-d215-4ffd-b556-38ab117164e4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "7cc5c460-f4e8-48f0-b54b-c92028775d18",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "69b4b8f2-6b57-4f89-ba22-1a6289eb06fe",
"Asset": {
"AssetId": "ad67b43c-0b85-45b1-8fff-07a5671e591e",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "cbf4db33-6428-42e3-9b94-e4586924b4e6",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"MeasurementValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "d01e458c-6be2-4417-b522-7a80c7d69a01",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"MeasurementValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "cb96bdb4-1a97-4309-942a-a47d124f11f4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "35a30677-802b-403c-95be-4ffa68467bed",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "257d0ac6-d215-4ffd-b556-38ab117164e4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-17T04:13:28.6340442-07:00",
"Location": "sample string 1",
"TaskId": "bec839ed-2da9-4b6a-a61d-68c368293be2",
"Values": [
{
"FormFieldValueId": "14d49d7b-7c57-4553-bf7a-9c81aef875f0",
"FormId": "1ddfe215-425c-46c7-851f-d09f326efcad",
"FormTypeField": {
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"FormType": {
"FormTypeId": "35a30677-802b-403c-95be-4ffa68467bed",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "257d0ac6-d215-4ffd-b556-38ab117164e4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "14d49d7b-7c57-4553-bf7a-9c81aef875f0",
"FormId": "1ddfe215-425c-46c7-851f-d09f326efcad",
"FormTypeField": {
"FormTypeFieldId": "171265c5-49d9-45a2-87dd-51799d4b7928",
"FormType": {
"FormTypeId": "35a30677-802b-403c-95be-4ffa68467bed",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "50d84e2f-d34d-4bec-b10e-624bf9e6c36f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "84b5721a-2f16-4bba-b19b-7f97d485ac8f",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-17T04:13:28.6340442-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "257d0ac6-d215-4ffd-b556-38ab117164e4",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "0b97a5f0-4742-4e74-bf1d-4c155b6f6aac",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "519f7c9f-f915-4327-badc-241eff2962f0",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "14c35ca9-c710-422c-8d4c-82aa38b77b7f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "dc7ce10c-138b-4cff-a6f8-156fce18925c",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dd20ab8d-efe4-4f7e-89b7-bdf54a280a16",
"FieldId": "c7ed6bb0-bf74-45ac-b96b-b516a7908ae2",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "7cc5c460-f4e8-48f0-b54b-c92028775d18",
"CreateDate": "2026-10-17T04:13:28.6340442-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-17T04:13:28.6340442-07:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}